@charset "utf-8";

/****************** 基本 ******************/

* {
    font-family: "微軟正黑體", "Microsoft JhengHei", Arial, Geneva, sans-serif;
}

body {
    font-size: 17px;
    font-weight: 400;
    line-height: 1.8;
    color: #777777;
    color: #323232;
    background-color: #fff;
    height: 100%;
    position: relative;
    /*padding-top: 70px;*/
}

@media screen and (max-width: 1400px) {
    body {
        padding-top: 60px;
    }
}

hr {
    border-top: 1px solid #afafaf;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #000;
    font-weight: 400;
}

p {
    margin-bottom: 1.5em;
}

a {
    color: #009999;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    text-decoration: none;
}

a:hover,
a:active,
a:focus,
a:visited {
    color: #006464;
    outline: none;
    text-decoration: none;
}

img,
object,
embed,
video {
    max-width: 100%;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    background: #000;
    opacity: .2;
}


/*
--- 按鈕 btn ---*/

.btn:hover,
.btn:active,
.btn:focus {
    background: #393e46 !important;
    color: #fff;
    outline: none !important;
}

.btn {
    border-radius: 0px;
}


.btn.btn-primary {
    background: #f7ad1a;
    color: #fff;
    border: none !important;
    border: 2px solid transparent !important;
    display: inline-block;
    margin-top: 5px;
    margin-bottom: 5px;
}

@media screen and (max-width: 576px) {
    .btn.btn-lg {
        padding-top: 10px;
        padding-right: 5px;
        padding-left: 5px;
        padding-bottom: 10px;
        font-size: 16px;
    }
}

@media screen and (max-width: 480px) {
    .btn.btn-lg {
        font-size: 14px;
        font-size: 16px;
    }
}


/*
--- 切換裝置顯示項目 ---*/

#line,
#line_m {
    text-align: center;
}

#line img,
#line_m img {
    display: inline-block;
    max-width: 100%;
    height: auto;
}

#line {
    display: block;
}

#line_m {
    display: none;
}

@media screen and (max-width: 576px) {
    #line {
        display: none;
    }

    #line_m {
        display: block;
    }
}


/****************** 導覽列 navbar ******************/

.navbar {
    background-color: #f8f8f8;
    border-bottom: 1px solid #e8e8e8;
    padding: 0;
}


/*
--- 聯邦LOGO navbar-brand ---*/

.navbar-brand {
    padding-right: 0;
}

.navbar .navbar-brand {
    margin-right: 50px;
    margin-left: 20px;
    width: 250px;
    height: 70px;
    background: url(../../../../include/images/UBLogo.png) no-repeat 0 50%;
    background-size: contain;
}

.navbar-header .navbar-brand img {
    width: 90%;
}

.navbar-light .navbar-toggler {
    border: none;
}

.navbar-light .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(0, 153, 153, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.navbar-light .navbar-toggle .icon-bar {
    background-color: #009999;
}

.navbar-light .navbar-nav .nav-link {
    color: rgba(0, 0, 0, .9);
}

.navbar-light .navbar-toggle:hover,
.navbar-light .navbar-toggle:focus {
    background-color: #f8f8f8;
}

.navbar-nav>li>a {
    margin-left: 15px;
    margin-top: 10px;
    display: block;
}

.navbar-light .navbar-nav>li>a:hover,
.navbar-light .navbar-nav>li>a:focus {
    color: #009999;
    background-color: transparent;
}

.navbar-light .navbar-nav>.active>a,
.navbar-light .navbar-nav>.active>a:hover,
.navbar-light .navbar-nav .active>.nav-link,
.navbar-light .navbar-nav>.active>a:focus {
    color: #009999;
}

.navbar-toggle {
    margin-top: 13px;
    margin-bottom: 15px;
    border: 0px;
    border-radius: 0px;
}


/*
--- 導覽列下拉dropdown-menu ---*/

.dropdown-menu {
    background-color: rgba(255, 255, 255, 0.8);
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #009999;
}

.dropdown-item:hover,
.dropdown-item:focus {
    background-color: #eaeaea;
}

@media screen and (max-width: 1200px) {
    .navbar .navbar-brand {
        margin-right: 0px;
        margin-left: 20px;
        width: 200px;
        height: 60px;
        /* 60 only*/
    }
}

@media screen and (max-width: 576px) {
    .navbar .navbar-brand {
        margin-right: 50px;
        margin-left: 15px;
    }
}


/****************** 輪播 carousel  ******************/

.carousel-indicators li {
    width: 10px;
    height: 10px;
    opacity: .8;
    border-radius: 50px;
    border: 1px solid #dedede;
    background-color: #bbbbbb;
}

.carousel-indicators .active {
    background-color: #009999;
}


/*--- 主視覺 ---*/
.kv {
    position: relative;
    width: 100%;
    --w: 1920;
    --h: 1000;
}

.kv:before {
    content: '';
    width: 100%;
    padding-top: calc(var(--h) * 100% / var(--w));
    display: block;
    background-image: url(../images/top.jpg);
    background-size: cover;
}

@media (max-width:768px) {
    .kv {
        --w: 768;
        --h: 768;
    }

    .kv:before {
        background-image: url(../images/top_m.jpg);
    }

}



/****************** 版面 Container ******************/

.gridContainer {
    width: 100%;
    clear: none;
    float: none;
    margin-left: auto;
    margin-right: auto;
    background-size: cover;
}

@media only screen and (max-width: 768px) {
    .gridContainer {
        width: 100%;
        margin: auto;
        clear: none;
        float: none;
        margin-left: auto;
        background-size: cover;
    }
}


/*
--- 活動主版 mainArea ---*/

.mainArea {
    padding-top: 30px;
    padding-bottom: 50px;
}

/* 活動主標 */
.mainArea h1 {
    font-family: "Noto Sans TC", sans-serif;
    font-weight: 600;
    color: #f7ad1a;
    text-shadow:
        -1px -1px 0 #FFF,
        1px -1px 0 #FFF,
        -1px 1px 0 #FFF,
        1px 1px 0 #FFF;
    font-size: 3.5rem;     /* 原本38px */
    text-align: center;
    letter-spacing: 2px;
    padding-bottom: 20px;
    margin-top: 35px;
    margin-bottom: 20px;
}

@media screen and (max-width: 576px) {
    .mainArea h1 {
        font-size: 2.3rem;
        margin: 0px;
        padding: 10px 0;
    }
}

.mainArea h2 {
    /* 活動副標 */
    color: #7f7f7f;
    font-size: 24px;
    text-align: center;
    font-weight: 600;
    margin-top: 35px;
    margin-bottom: 20px;
}

@media screen and (max-width: 576px) {
    .mainArea h2 {
        font-size: 20px;
        margin-bottom: 10px;
    }
}

.mainArea .titlepoint {
    /* 主標重點 */
    font-family: "Noto Sans TC", sans-serif;
    font-weight: 600;
    font-style: italic;
    color: #FF5E62;
}


.mainArea h3.date {
    /* 活動起訖日+對象 */
    padding-top: 10px;
    line-height: 1.6;
    font-size: 1.5rem;
    font-weight: 600;
}

.mainArea h4 {
    /* 活動敘述文 */
    color: #595757;
    text-align: left;
    font-size: 20px;
    line-height: 1.5;
    padding-top: 10px;
    padding-bottom: 10px;
    font-weight: 400;
}

.mainArea h5 {
    /* 內文區塊下方備註 */
    color: #2A2A2A;
    font-size: 17px;
    line-height: 1.8;
    text-align: left;
    padding-left: 10px;
    padding-right: 10px;
    text-align: justify;
    padding-top: 10px;
}

.mainArea p {
    color: #000000;
    font-size: 17px;
    /* font-weight: bold; */
    text-align: center;
    margin-bottom: 10px;
    line-height: 40px;
}

.mainArea img {
    margin: 0px auto;
}

@media screen and (max-width: 1200px) {
    .mainArea h4 {
        padding-right: 50px;
        padding-left: 50px;
    }
}

@media screen and (max-width: 576px) {
    .mainArea {
        padding: 20px 0px;
        padding-bottom: 60px;
    }

    .mainArea h3.date {
        font-size: 1.2rem;
        margin-bottom: 0;
    }

    .mainArea h4 {
        font-size: 17px;
        line-height: 1.5;
        margin-bottom: 0;
        padding-left: 20px;
        padding-right: 20px;
    }

    .mainArea h5 {
        font-size: 15px;
    }

    .mainArea p {
        color: #000000;
        font-size: 15px;
        text-align: center;
        margin-bottom: 5px;
        line-height: 30px;
    }
}


/*
--- 活動表格 ---*/

.mainArea .table thead th {
    height: 30px;
    border-bottom: 1px;
}

.mainArea .table th {
    background-color: #f7ad1a;
    color: #FFF;
}

.mainArea .table td {
    background-color: #fff;
}

.mainArea .table-bordered th,
.mainArea .table-bordered td {
    padding: 0px;
    border: 1.9px solid #ffbb33;
    vertical-align: middle;
    font-weight: 800;
    font-size: 21px;
    line-height: 1.8;
}


.mainArea .table-bordered {
    text-align: center;
    line-height: 2;
    vertical-align: middle;
    border-width: 1px;
    border-color: #ddd;
    padding: 10px;
}


@media screen and (max-width: 576px) {
    .mainArea .table thead th {
        font-size: 17px;

    }

    .mainArea .table-bordered td,
    .mainArea .table-bordered th {
        font-size: 17px;
        padding: 8px;
        line-height: 1.2;
    }

    .mainArea .table-bordered {
        line-height: 1.5;
        margin-bottom: 5px;
    }

    .mainArea .table th,
    .mainArea .table td {
        white-space: normal;
        word-break: break-word;
        overflow-wrap: break-word;
    }

    .mainArea .table {
        width: 100%;
        /* 保持表格不超出螢幕 */
        table-layout: fixed;
        /* 單元格寬度自動分配 */
    }
}


/*
--- HighLine 強調文字 ---*/

.reward {
    color: #cf3934;
    padding: 2px;
    font-weight: 600;
}

.reward1 {
    color: #cf3934;
    padding: 2px;
    font-weight: 600;
    font-size: 110%;
}

.reward2 {
    color: #ff1d45;
    padding: 2px;
    font-weight: 600;
    font-size: 110%;
}

.redonly {
    color: #f36;
}


/*-------注意事項彈出視窗--------------------*/
/* .noticeModa要區隔各信用卡發卡機構掛失服務資訊彙整表 */
.noticeModal .modal-title {
    font-size: 30px;
    font-weight: 600;
    line-height: 1.5;
    letter-spacing: 3px;
    color: #009999;
    padding: 0;
    color: #f7ad1a;
}

.noticeModal .modal-content {
    border-radius: 1rem;
}

.noticeModal .modal-content button:focus {
    outline: none;
}

.noticeModal .modal-dialog {
    max-width: 960px;
    margin: 1.75rem auto;
}

.noticeModal .modal-header .btn-close {
    position: absolute;
    top: 0;
    right: 0;
    padding: 1.8rem;
    margin: 0rem 0rem -1rem auto;
    background: transparent url(../images/close.png) center/2.5em auto no-repeat;
}

.noticeModal .modal-footer {
    padding: 0;
}

@media screen and (max-width: 768px) {
    .noticeModal .modal-header .btn-close {
        padding: 1.5rem;
    }

    .noticeModal .modal-title {
        font-size: 22px;
        letter-spacing: 0px;
        font-weight: 600;
    }
}

/*-------//注意事項彈出視窗--------------------*/



/* 指定旅遊活動 區塊 */
.bgColor {
    background-color: rgba(46, 99, 139, 0.074);
    background-color: rgb(239 246 252);
}

.bgColorArea01 {
    background-color: #fff8ef;
    background-image: url(../images/cloud.png);
    background-position: center bottom;
    background-size: cover;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: #fff;
}

@media screen and (max-width: 768px) {
    .bgColorArea01 {
        background-size: cover;
        background-size: 150%;
        padding-bottom: 80px;
    }
}

.promo-card {
    border: 2px solid #ddd;
    border-radius: 24px;
    padding: 32px;
    margin-bottom: 10px;
    margin: 0px auto 20px;
    justify-content: center;
    align-items: center;
    border: 2px solid #fcce8a;
    margin-bottom: 0;
    background-color: #ffffffb5;
    border: 2px solid #f7ad1a;
    padding-top: 80px;
    padding-bottom: 30px;
    background:
        linear-gradient(180deg,
            #fff 0%,
            #fffdf7 100%);
    box-shadow:
        0 8px 15px rgba(0, 0, 0, .08);
    margin-bottom: 15px;
}

h4.promo-text {
    line-height: 1.8;
    color: #333;
    font-weight: bold;
    text-align: center;
    font-size: 24px;
    padding: 0 20px;
}

@media screen and (max-width: 1400px) {
    h4.promo-text {
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media screen and (max-width: 992px) {
    h4.promo-text {
        line-height: 1.6;
        font-size: 16pt;
        padding: 0;
    }
}

@media screen and (max-width: 576px) {
    .promo-card {
        padding-bottom: 30px;
        padding-right: 10px;
        padding-left: 10px;
    }
    
    h4.promo-text {
        padding-top: 0;
        padding-bottom: 0;
        font-size: 20px;
        line-height: 1.6;
        text-align: justify;
    }
}

.discount {
    font-size: 5rem;
    font-weight: 800;
    color: #c40000;
    white-space: nowrap;
    padding-top: 0px;
}

.discount span {
    font-size: 2rem;
    margin-left: 4px;
}

.discount_m {
    display: none;
}

@media screen and (max-width: 992px) {
    .discount {
        display: none;
    }
    .discount_m {
        display: block;
        text-align: center;
        max-width: 220px;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: 0 auto;
        padding-bottom: 0px;
        max-width: 275px;
        padding-top: 0px;
    }
}

@media screen and (max-width: 768px) {
    .discount {
        font-size: 4rem;
        text-align: center;
    }
    .discount_m {
        padding-top: 40px;
    }
}

@media screen and (max-width: 576px) {
    .discount_m {
        max-width: 200px;
        padding-top: 20px;
    }
}

/* --- 折扣大大的 --- */
.promo-text-big {
    font-size: 23pt;
    color: #f36;
    letter-spacing: -1px;
    padding: 0 5px;
}

/* --- 虎航活動 按鍵區 --- */
.btn.btn-primary.btnSpecialforTiger {
    background-color: #FF8701;
    /* background-color: #643a07; */
    background-color: #f7ad1a;
    font-weight: bold;
}
.addSpacetoBottom {
    margin-bottom: 140px;
}

@media screen and (max-width: 768px) {
    .addSpacetoBottom {
        margin-bottom: 50px;
    }
}

@media screen and (max-width: 576px) {
    .addSpacetoBottom {
        margin-bottom: 35px;
    }
}


/* --- 飄浮上下 虎航公仔 --- */
.sizesfortiger1 {
    max-width: 220px;
}

@media screen and (max-width: 768px) {
    .sizesfortiger1 {
        max-width: 150px;
    }
}

@media screen and (max-width: 576px) {
    .sizesfortiger1 {
        display: none;
    }
}

.newAbsolute {
    bottom: -0px;
    left: 250px;
}

@media screen and (max-width: 1200px) {
    .newAbsolute {
        left: 100px;
    }
}

@media screen and (max-width: 992px) {
    .newAbsolute {
        left: 0px;
    }
}

@media screen and (max-width: 768px) {
    .newAbsolute {
        left: 0px;
    }
}

@media screen and (max-width: 576px) {
    .newAbsolute {
        left: 150px;
    }
}


/* 1. 應用動畫 */
.floating-object {
    /* 設定動畫名稱、持續時間、循環次數 (infinite無限循環) */
    animation-name: float-up-down;
    animation-duration: 3s;
    /* 3秒一個循環 */
    animation-iteration-count: infinite;
    /* 無限循環 */
    animation-timing-function: ease-in-out;
    /* 緩入緩出效果 */
}

/* 2. 定義動畫 */
@keyframes float-up-down {
    0% {
        transform: translateY(0px);
        /* 起始位置 */
    }

    50% {
        transform: translateY(-20px);
        /* 上移 20px */
    }

    100% {
        transform: translateY(0px);
        /* 回到原位 */
    }
}


/* 註解 小字 */
.noteSmall {
    font-size: 13pt;
    font-weight: normal;
}

.promo-card h2 {
    position: absolute;
    color: #FFFFFF;
    font-size: 24px;
    background-color: #f7ad1a;
    border: 2px solid #f7ad1a;
    width: 100%;
    margin: 0 auto;
    line-height: 1.6;
    text-align: center;
    top: 0;
    right: 0;
    border-radius: 16px 16px 0px 0px;
    font-weight: 700;
    letter-spacing: 0.1rem;
    padding: 7px;
    text-shadow: none
}

@media screen and (max-width: 768px) {
    .promo-card h2 {
        padding: 15px 20px 7px;
    }

}

@media screen and (max-width: 576px) {
    .promo-card h2 {
        font-size: 16pt;
        letter-spacing: 0.05rem;
        line-height: 1.4;
        padding: 8px 30px;
    }
}

.logoTiger {
    max-width: 180px;
}

@media screen and (max-width: 576px) {
    .logoTiger {
        max-width: 130px;
    }
}